
:root {
  --bs-blue: #0d6efd;
  --bs-indigo: #6610f2;
  --bs-purple: #6f42c1;
  --bs-pink: #d63384;
  --bs-red: #dc3545;
  --bs-orange: #fd7e14;
  --bs-yellow: #ffc107;
  --bs-green: #198754;
  --bs-teal: #20c997;
  --bs-cyan: #0dcaf0;
  --bs-white: #fff;
  --bs-gray: #6c757d;
  --bs-gray-dark: #343a40;
  --bs-gray-100: #f8f9fa;
  --bs-gray-200: #e9ecef;
  --bs-gray-300: #dee2e6;
  --bs-gray-400: #ced4da;
  --bs-gray-500: #adb5bd;
  --bs-gray-600: #6c757d;
  --bs-gray-700: #495057;
  --bs-gray-800: #343a40;
  --bs-gray-900: #212529;
  --bs-primary: #0d6efd;
  --bs-secondary: #6c757d;
  --bs-success: #198754;
  --bs-info: #0dcaf0;
  --bs-warning: #ffc107;
  --bs-danger: #dc3545;
  --bs-light: #f8f9fa;
  --bs-dark: #212529;
  --bs-primary-rgb: 13, 110, 253;
  --bs-secondary-rgb: 108, 117, 125;
  --bs-success-rgb: 25, 135, 84;
  --bs-info-rgb: 13, 202, 240;
  --bs-warning-rgb: 255, 193, 7;
  --bs-danger-rgb: 220, 53, 69;
  --bs-light-rgb: 248, 249, 250;
  --bs-dark-rgb: 33, 37, 41;
  --bs-white-rgb: 255, 255, 255;
  --bs-black-rgb: 0, 0, 0;
  --bs-body-color-rgb: 33, 37, 41;
  --bs-body-bg-rgb: 255, 255, 255;
  --bs-font-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
  --bs-body-font-family: var(--bs-font-sans-serif);
  --bs-body-font-size: 1rem;
  --bs-body-font-weight: 400;
  --bs-body-line-height: 1.5;
  --bs-body-color: #212529;
  --bs-body-bg: #fff;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

.site-cap{
  position: sticky;
  top: 0;
  z-index: 700;
}
.waybill{
  margin-left: auto;
  margin-right: auto;

  max-width: 90%;

  border: 2px solid black;



  }
.prod-icon {
          max-width: 20px;
          max-height: 20px;
        }
.auth{
  padding-right: 5px;
}
.d-flex {
  padding-right: 5px;
}

#navbarSupportedContent {

  justify-content: space-between;
}

.custom-logo-text {
    display: flex;
    font-family: 'Playfair Display', serif;
    font-weight: 700;
}
@media (prefers-reduced-motion: no-preference) {
  :root {
    scroll-behavior: smooth;
  }}

body {
  margin: 0;
  font-family: var(--bs-body-font-family);
  font-size: var(--bs-body-font-size);
  font-weight: var(--bs-body-font-weight);
  line-height: var(--bs-body-line-height);
  color: var(--bs-body-color);

  background-color: var(--bs-body-bg);
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

hr {
  margin: 1rem 0;
  color: inherit;
  background-color: currentColor;
  border: 0;
  opacity: 0.25;
}

hr:not([size]) {
  height: 1px;
}

b,
strong {
  font-weight: bolder;
}

img,
svg {
  vertical-align: middle;
}

table {
  caption-side: bottom;
  border-collapse: collapse;
}

th {
  text-align: inherit;
  text-align: -webkit-match-parent;
}

thead,
tbody,
tfoot,
tr,
td,
th {
  border-color: inherit;
  border-style: solid;
  border-width: 0;
}

button {
  border-radius: 0;
}

input,
button,
select,
optgroup,
textarea {
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

button,
select {
  text-transform: none;
}

button,
[type=button],
[type=reset],
[type=submit] {
  -webkit-appearance: button;
}
button:not(:disabled),
[type=button]:not(:disabled),
[type=reset]:not(:disabled),
[type=submit]:not(:disabled) {
  cursor: pointer;
}
.lead {
  font-size: 1.25rem;
  font-weight: 300;
}

.display-4 {
  font-size: calc(1.475rem + 2.7vw);
  font-weight: 300;
  line-height: 1.2;
}




.not-auth-message {
    text-align: center;
    padding: 100px 0 ;

}
footer{
    position: fixed;
    bottom: 0;
    width: 100%;
}


.container,
.container-fluid,
.container-xxl,
.container-xl,
.container-lg,
.container-md,
.container-sm {
  width: 100%;
  padding-right: var(--bs-gutter-x, 0.75rem);
  padding-left: var(--bs-gutter-x, 0.75rem);
  margin-right: auto;
  margin-left: auto;
}

@media (min-width: 576px) {
  .container-sm, .container {
    max-width: 540px;
  }
}
@media (min-width: 768px) {
  .container-md, .container-sm, .container {
    max-width: 720px;
  }
}
@media (min-width: 992px) {
  .container-lg, .container-md, .container-sm, .container {
    max-width: 960px;
  }
}
@media (min-width: 1200px) {
  .container-xl, .container-lg, .container-md, .container-sm, .container {
    max-width: 1140px;
  }
}
@media (min-width: 1400px) {
  .container-xxl, .container-xl, .container-lg, .container-md, .container-sm, .container {
    max-width: 1320px;
  }
}

.table {
  --bs-table-bg: transparent;
  --bs-table-accent-bg: transparent;
  --bs-table-striped-color: #212529;
  --bs-table-striped-bg: rgba(0, 0, 0, 0.05);
  --bs-table-active-color: #212529;
  --bs-table-active-bg: rgba(0, 0, 0, 0.1);
  --bs-table-hover-color: #212529;
  --bs-table-hover-bg: rgba(0, 0, 0, 0.075);
  width: 100%;
  margin-bottom: 1rem;
  color: #212529;
  vertical-align: top;
  border-color: #dee2e6;
}
.table > :not(caption) > * > * {
  padding: 0.5rem 0.5rem;
  background-color: var(--bs-table-bg);
  border-bottom-width: 1px;
  box-shadow: inset 0 0 0 9999px var(--bs-table-accent-bg);
}
.table > tbody {
  vertical-align: inherit;
}
.table > thead {
  vertical-align: bottom;
}
.table > :not(:first-child) {
  border-top: 2px solid currentColor;
}

.table-bordered > :not(caption) > * {
  border-width: 1px 0;
}
.table-bordered > :not(caption) > * > * {
  border-width: 0 1px;
}

.form-control {
  display: block;
  width: 100%;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.input-group {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  width: 100px;
}
.input-group > .form-control,
.input-group > .form-select {
  position: relative;
  flex: 1 1 auto;
  width: 1%;
  min-width: 0;
}

.input-group .btn {
  position: relative;
  z-index: 2;
}

.input-group:not(.has-validation) > :not(:last-child):not(.dropdown-toggle):not(.dropdown-menu),
.input-group:not(.has-validation) > .dropdown-toggle:nth-last-child(n+3) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
  margin-left: -1px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.btn {
  display: inline-block;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  background-color: transparent;
  border: 1px solid transparent;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  border-radius: 0.25rem;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.btn-secondary {
  color: #fff;
  background-color: #000000;
  border-color: #6c757d;
}

.btn-outline-dark {
  color: #212529;
  border-color: #212529;
}

.btn-lg, .btn-group-lg > .btn {
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  border-radius: 0.3rem;
}

.collapse:not(.show) {
  display: none;
}

.navbar {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}
.navbar > .container,
.navbar > .container-fluid,
.navbar > .container-sm,
.navbar > .container-md,
.navbar > .container-lg,
.navbar > .container-xl,
.navbar > .container-xxl {
  display: flex;
  flex-wrap: inherit;
  align-items: center;
  justify-content: space-between;
}
.navbar-brand {
  padding-top: 0.3125rem;
  padding-bottom: 0.3125rem;
  margin-right: 1rem;
  font-size: 1.25rem;
  text-decoration: none;
  white-space: nowrap;
}
.navbar-nav {
  display: flex;
  flex-direction: column;
  padding-left: 0;
  margin-bottom: 0;
  list-style: none;
}
.navbar-nav .nav-link {
  padding-right: 0;
  padding-left: 0;
}
.navbar-nav .dropdown-menu {
  position: static;
}

.navbar-text {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.navbar-collapse {
  flex-basis: 100%;
  flex-grow: 1;
  align-items: center;
}
.ms-lg-auto {
  margin-left: auto !important;
}
.ms-auto {
  margin-left: auto !important;
}

.navbar-toggler {
  padding: 0.25rem 0.75rem;
  font-size: 1.25rem;
  line-height: 1;
  background-color: transparent;
  border: 1px solid transparent;
  border-radius: 0.25rem;
  transition: box-shadow 0.15s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .navbar-toggler {
    transition: none;
  }
}
.navbar-toggler:hover {
  text-decoration: none;
}
.navbar-toggler:focus {
  text-decoration: none;
  outline: 0;
  box-shadow: 0 0 0 0.25rem;
}

.navbar-toggler-icon {
  display: inline-block;
  width: 1.5em;
  height: 1.5em;
  vertical-align: middle;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
}
.navbar-light .navbar-brand {
  color: rgba(0, 0, 0, 0.9);
}

.navbar-light .navbar-toggler {
  color: rgba(0, 0, 0, 0.55);
  border-color: rgba(0, 0, 0, 0.1);
}
.navbar-light .navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.mb-0 {
  margin-bottom: 0 !important;
}

.px-4 {
  padding-right: 1.5rem !important;
  padding-left: 1.5rem !important;
}

.fw-normal {
  font-weight: 400 !important;
}
.fw-bolder {
  font-weight: bolder !important;
}

.text-center {
  text-align: center !important;
  text-decoration: none !important;
  font-size: 14px;
  color: #000000;
}

.text-white-50 {
  --bs-text-opacity: 1;
  color: rgba(255, 255, 255, 0.5) !important;
}

.bg-light {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}

.bg-dark {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-dark-rgb), var(--bs-bg-opacity)) !important; /* color-map */
}
.home-button-block{
    display: inline-flex !important ;

  }
.cap{
  display: flex;
  justify-content: space-between;
}
@media (max-width: 992px) {
  .home-button-block{
    padding-top: 10px;
  }
  .p-4 {
    padding: .5rem !important;
  }
  .row-cols-md-3 > * {
    flex: 0 0 auto;
    width: 25%;
  }
  .dropdown-text{
    font-size: 15px;
  }
}

.cart-product-img {
  width: 130px;
  margin-right: 5px;
}
.resttoria-logo-cart{
  width: 100px;
}
.waybill-header{
  display:  flex;
  justify-content: space-between;
}
.shop-info{
  padding-right: 15px;
  font-size: 11px;
  flex-direction: column;
  color: white;
}
.white{
  color: white;
}
.d-flex {
  display: flex !important;
}

.invoice-info{
  display: flex;
  flex-direction: column;
}
.cart-info{
  margin-left: 5%;
  margin-right: 5%;

}
.custom-cart-id{
  font-family: 'ExtraLight', Arial, sans-serif;
  font-weight: 600;
}

.total_sum{
  display: flex;
  justify-content: center;
  padding: 30px;
  font-weight: 700;
}


.info-in-cart{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.thank-message {
  display: flex;
  justify-content: center;
  padding: 20px;
}


.commit_order{
  display: flex;
  justify-content: center;
}

.minus-btn,
.plus-btn {
  padding: 0.2rem 0.4rem; /* Adjust padding for thinner appearance */
  font-size:20px;
}

.qty-input {
  font-size: 1.0rem; /* Adjust font size for smaller size */
  padding: 0.5rem 0.2rem; /* Adjust padding for thinner appearance */
}

.customer-comment {
  margin-right: 5%;
  margin-top: 10px; /* Adjust margin as needed */
}

.comment-input {
  border-radius: 0.25rem; /* Add rounded corners */
  border: 1px solid #ced4da; /* Add border */
  padding: 0.375rem 0.75rem; /* Adjust padding */
  font-size: 0.875rem; /* Adjust font size */
}

.form-label {
  font-weight: bold; /* Make label bold */
}


.cart-product{
    display:flex;
}
.cart-product-code{
  background-color: #d6dbff;
}
.cart-product-name{
  text-decoration: none !important;

  display:flex;
}
.cart-product-pricing{
  display: flex;
  flex-direction: column;
}
.link-for-product{
  color: black;
}


.fa-solid{
  z-index: 1;
}

.delete-from-cart-btn {
  margin-top: 40%;
  z-index: 1000;
}


.delete-from-cart-btn .cart-product-trash-ico:hover {
  filter: invert(100%);
}


.cart-product-trash-ico{
  width:20px;
}

.aga{
  margin: 6px 0px 0px 6px;
}

.not-visible > tbody:nth-child(2) {
  display: none;
}
.cart-id-section{
  display: flex;
  justify-content: space-between;
}

.clear-cart-btn {
  border: 2px solid black;
  background-color: white;
  color: black;
  padding: 6px 12px;
  transition: all 0.3s ease;
  margin-right: 5vw;
}

.clear-cart-btn:hover {
  background-color: black;
  color: white;
}

.coupon-input-group {
    max-width: 300px; /* Adjust width if necessary */
    margin-top: 10px;
  display: grid;
}

#coupon-code {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

#check-coupon {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

@media (max-width: 900px){
  .cart-product-name{
    display: block;
  }
}


@media (max-width: 600px){
  .info-in-cart{
  flex-direction: column;
  }
  .customer-comment{
    margin-left: 5%;
  }
  .comment-input{
    width: 200px;
  }
}


@media (max-width: 450px){
  .cart-product-total,
  .cart-product-qty-price,
  .cart-product-code,
  .cart-product-name{
    font-size: 0.8rem;
  }
}